Add support for Elliptic Curve keys for CertFP
[quassel.git] / .travis.yml
1 os:
2   - linux
3
4 sudo: required
5 dist: trusty
6
7 language: cpp
8 cache: ccache
9
10 compiler:
11   - gcc
12   - clang
13
14 env:
15   - QT_VERSION=qt4
16   - QT_VERSION=qt5
17
18 matrix:
19   include:
20     - os: osx
21       compiler: gcc
22       env: QT_VERSION=qt5
23   exclude:
24     - compiler: clang
25       env: QT_VERSION=qt4
26
27 install: |-
28   if [ "$TRAVIS_OS_NAME" == "linux" ]
29   then
30     sudo apt-get -qy install libqt5webkit5-dev qttools5-dev qtscript5-dev
31     sudo apt-get -qy install libdbusmenu-qt-dev libdbusmenu-qt5-dev
32     sudo apt-get -qy install libphonon-dev libphonon4qt5-dev
33     sudo apt-get -qy install libqca2-dev
34     sudo apt-get -qy install qt4-dev-tools qttools5-dev-tools
35     sudo apt-get -qy install libphonon4qt5experimental4 # https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=805096
36   elif [ "$TRAVIS_OS_NAME" == "osx" ]
37   then
38     brew update
39     brew install ninja qt5
40   fi
41
42 script: |-
43   mkdir build
44   cd build
45   if [ "$TRAVIS_OS_NAME" == "linux" ]
46   then
47     if [ "$QT_VERSION" = "qt4" ]; then cmake -DUSE_QT4=ON ..; fi
48     if [ "$QT_VERSION" = "qt5" ]; then cmake ..; fi
49     make
50   elif [ "$TRAVIS_OS_NAME" == "osx" ]
51   then
52     PATH=$PATH:/usr/local/opt/qt5/bin
53     if [[ "$TRAVIS_TAG" != "" && "$GH_TOKEN" != "" ]]
54     then
55       cmake -G"Ninja" .. -DCMAKE_BUILD_TYPE=Release -DDEPLOY=ON
56     else
57       cmake -G"Ninja" .. -DCMAKE_BUILD_TYPE=Release
58     fi
59     ninja install
60   fi
61
62 deploy:
63   provider: releases
64   api_key: "${GH_TOKEN}"
65   file_glob: true
66   file:
67     - "QuasselClient_MacOSX-x86_64_*.dmg"
68     - "QuasselCore_MacOSX-x86_64_*.dmg"
69     - "QuasselMono_MacOSX-x86_64_*.dmg"
70   skip_cleanup: true
71   on:
72     tags: true
73     condition: "$TRAVIS_OS_NAME == 'osx' && $GH_TOKEN != ''"